## gnome-shell 45.3

=== debian/changelog ===
gnome-shell (45.3-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + ubuntu-wallpapers
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move some Recommends to Suggests:
      + chrome-gnome-shell
      + gnome-backgrounds
    - Update debian/gbp.conf with Ubuntu settings
    - Add debian/ubuntu-session-mods/ubuntu.json
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch,
    - ubuntu/darkMode-Add-support-to-Yaru-theme-color-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/shell-global-util-Do-not-move-snap-apps-to-gnome-apps-sco.patch
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Jan 2024 15:28:52 -0500

gnome-shell (45.3-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Jan 2024 15:28:09 -0500

gnome-shell (45.2-2) experimental; urgency=medium

  * Merge with version 44.7-1 from unstable

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Dec 2023 15:09:38 +0000

gnome-shell (45.2-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + ubuntu-wallpapers
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move some Recommends to Suggests:
      + chrome-gnome-shell
      + gnome-backgrounds
    - Update debian/gbp.conf with Ubuntu settings
    - Add debian/ubuntu-session-mods/ubuntu.json
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between


=== debian/control ===
Source: gnome-shell
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: appstream,
               asciidoc-base,
               bash-completion,
               dbus-daemon <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               gjs,
               gir1.2-accountsservice-1.0 <!nocheck>,
               gir1.2-gdm-1.0 <!nocheck>,
               gir1.2-geoclue-2.0 <!nocheck>,
               gir1.2-gnomebg-4.0 <!nocheck>,
               gir1.2-gnomedesktop-4.0 <!nocheck>,
               gir1.2-gweather-4.0 (>= 4.1) <!nocheck>,
               gir1.2-nma4-1.0 [linux-any] <!nocheck>,
               gir1.2-rsvg-2.0 <!nocheck>,
               gir1.2-upowerglib-1.0 <!nocheck>,
               gnome-control-center-dev,
               gnome-pkg-tools,
               gnome-settings-daemon-common (>= 40~) <!nocheck>,
               gobject-introspection,
               gsettings-desktop-schemas-dev (>= 42~beta),
               gtk-doc-tools,
               libasound2-dev,
               libatk-bridge2.0-dev,
               libecal2.0-dev (>= 3.45),
               libedataserver1.2-dev (>= 3.45),
               libgcr-3-dev,
               libgirepository1.0-dev,
               libgjs-dev (>= 1.73.1),
               libgl1-mesa-dri <!nocheck>,
               libglib2.0-dev,
               libgnome-autoar-0-dev,
               libgnome-bluetooth-3.0-dev (>= 3.9.0) [linux-any],
               libgnome-desktop-4-dev (>= 40),
               libgnome-menu-3-dev,
               libgstreamer1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgtk-4-dev,
               libibus-1.0-dev (>= 1.5.22-2ubuntu2~),
               libjson-glib-dev,
               libmutter-13-dev (>= 45.0),
               mutter-13-tests (>= 45.0) <!nocheck>,
               libnm-dev [linux-any],
               libpipewire-0.3-dev (>= 0.3.10) [linux-any],
               libpolkit-agent-1-dev,
               libpulse-dev (>= 13),
               libsecret-1-dev,
               libstartup-notification0-dev,
               libsystemd-dev [linux-any],
               libx11-dev,
               libxfixes-dev,
               libxml2-dev,
               mesa-common-dev,
               meson (>= 0.58.0),
               mutter (>= 45.0) <!nocheck>,
               pkg-config,
               sassc,
               systemd [linux-any],
               xauth <!nocheck>,
               xvfb <!nocheck>,
               xwayland <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://wiki.gnome.org/Projects/GnomeShell
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/master
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/master

Package: gnome-shell
Architecture: linux-any
Depends: gir1.2-accountsservice-1.0,
         gir1.2-adw-1,
         gir1.2-atk-1.0,
         gir1.2-atspi-2.0 (>= 2.36),
         gir1.2-gcr-3,
         gir1.2-gdesktopenums-3.0,
         gir1.2-gdkpixbuf-2.0,
         gir1.2-gdm-1.0,
         gir1.2-geoclue-2.0,
         gir1.2-glib-2.0,
         gir1.2-gnomebg-4.0,
         gir1.2-gnomebluetooth-3.0 (>= 42.3) [linux-any],
         gir1.2-gnomedesktop-4.0 (>= 40),
         gir1.2-graphene-1.0 (>= 1.10.2),
         gir1.2-gstreamer-1.0,
         gir1.2-gtk-4.0,
         gir1.2-gweather-4.0 (>= 4.1),
         gir1.2-freedesktop,
         gir1.2-ibus-1.0 (>= 1.5.22-2ubuntu2~),
         gir1.2-mutter-13 (>= 45.0),
         gir1.2-nm-1.0 [linux-any],
         gir1.2-nma4-1.0 [linux-any],
         gir1.2-pango-1.0,
         gir1.2-polkit-1.0,
         gir1.2-rsvg-2.0,
         gir1.2-soup-3.0,
         gir1.2-upowerglib-1.0,
         gir1.2-webkit-6.0,
         gnome-settings-daemon (>= 40~),
         gnome-shell-common (= ${source:Version}),
         gsettings-desktop-schemas (>= 42~beta),
         gstreamer1.0-pipewire (>= 0.3.10) [linux-any],
         libglib2.0-bin,
         python3,
         ubuntu-wallpapers,
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bolt,
            evolution-data-server (>= 3.45),
            gdm3,
            gkbd-capplet,
            gnome-control-center (>= 1:42),
            gnome-remote-desktop,
            gnome-menus,
            gnome-user-docs,
            ibus,
            iio-sensor-proxy,
            power-profiles-daemon,
            switcheroo-control,
            ubuntu-session | gnome-session,
            xserver-xorg-legacy,
            unzip
Suggests: gir1.2-malcontent-0 (>= 0.6.0) [linux-any],
          gir1.2-telepathyglib-0.12,
          gir1.2-telepathylogger-0.2,
          gnome-backgrounds (>= 3.13.90),
          gnome-shell-extension-prefs,
          chrome-gnome-shell,
Breaks: gnome-shell-extension-appindicator (<< 50),
        gnome-shell-extension-dash-to-panel (<< 55),
        gnome-shell-extension-dashtodock (<< 79),
        gnome-shell-extension-desktop-icons (<< 21.04),
        gnome-shell-extension-desktop-icons-ng (<< 46+really47.0.2-2),
        gnome-shell-extension-taskbar (<< 57.0-2.1~),
        gnome-shell-extension-top-icons-plus (<< 27-3~),
        gnome-shell-extension-workspaces-to-dock (<< 54~),
        gnome-shell-extensions (<< 40.0~),
Provides: notification-daemon,
          polkit-1-auth-agent
Description: graphical shell for the GNOME desktop
 The GNOME Shell provides core interface functions like switching
 windows, launching applications or see your notifications. It takes
 advantage of the capabilities of modern graphics hardware and
 introduces innovative user interface concepts to provide a
 delightful and easy to use experience. GNOME Shell is the defining
 technology of the GNOME 3 user experience.

Package: gnome-shell-common
Architecture: all
Depends: ${misc:Depends}
Recommends: yaru-theme-gnome-shell (>= 23.10.0~)
Breaks: gnome-shell (<< 3.36.1-6~)
Replaces: gnome-shell (<< 3.36.1-6~)
Description: common files for the GNOME graphical shell
 This package contains translations and data files for the GNOME shell.

Package: gnome-shell-extension-prefs
Architecture: linux-any
Depends: gir1.2-adw-1,
         gir1.2-gtk-4.0,
         gjs (>= 1.73.1),
         gnome-shell (= ${binary:Version}),
         gnome-shell-common (= ${source:Version}),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: gnome-extensions-app
Recommends: chrome-gnome-shell
Breaks: gnome-shell (<< 3.36.0-2)
Replaces: gnome-shell (<< 3.36.0-2)
Description: tool to enable / disable GNOME Shell extensions
 This package contains a tool which users who use Shell extensions can use to
 toggle them on and off, and access their preferences.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@ --with bash_completion

CONFFLAGS =

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS += \
	-Dnetworkmanager=true \
	-Dsystemd=true
endif

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
CONFFLAGS += -Dtests=true
else
CONFFLAGS += -Dtests=false
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=/usr/lib \
		-Dextensions-tool:bash_completion=enabled \
		$(CONFFLAGS)

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/gnome-shell/

override_dh_shlibdeps:
	# gnome-shell uses mutters private mutter-clutter-1.0.so etc.
	dh_shlibdeps -l"usr/lib/$(DEB_HOST_MULTIARCH)/mutter"

# Upstream test timeouts assume an otherwise unloaded system, but that
# isn't necessarily the case for a porterbox or multiple parallel builds.
# Keep the timeout reasonably short for architectures where interactive
# debugging is more likely, but extend it a lot on architectures that might
# be very slow or using qemu for buildds.
ifneq ($(filter amd64 i386,$(DEB_HOST_ARCH_CPU)),)
test_timeout_multiplier = 3
else
test_timeout_multiplier = 20
endif

meson_test_options = --timeout-multiplier $(test_timeout_multiplier)

ifneq ($(filter mips%,$(DEB_HOST_ARCH_CPU)),)
# gnome-shell on mips(64)el works on a real GPU (in practice usually an
# AMD GPU), but crashes when using llvmpipe or softpipe, which is all that
# is available on the buildds, so we only run the unit tests at build time
# and skip the tests that would run the whole Shell. See discussion in
# https://salsa.debian.org/gnome-team/gnome-shell/-/merge_requests/71
meson_test_options += --no-suite shell
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	env XDG_CACHE_HOME="$(shell mktemp -d -t cache-XXXXXXXX)" \
	dbus-run-session xvfb-run -a dh_auto_test -- $(meson_test_options)
endif

override_dh_gnome_clean:

## gnome-shell 46.0

=== debian/changelog ===
gnome-shell (46.0-0ubuntu6~24.04.11) noble; urgency=medium

  [ Mitchell Augustin ]
  * Fix quicksettings connections to enterprise AP (LP: #2120331)
  * Update Wi-Fi icons between disconnect and adapter deactivation
    (LP: #2120734)

  [ Marco Trevisan (Treviño) ]
  * d/p: Fix memory leak when using a custom theme (LP: #2121786)

  [ Sergio Costas Rodriguez ]
  * authPrompt: Notify error messages in GDM login/unlock (LP: #2115948)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 23 Oct 2025 13:20:48 +0800

gnome-shell (46.0-0ubuntu6~24.04.10) noble; urgency=medium

  [ Sergio Costas Rodriguez ]
  * Fix accessibility issues in Gnome Shell/GDM/Unlock (LP: #2115948)
    - Add labels to the Today Events and Weather buttons
    - Notify to screen reader users any error during login/unlocking
    - Add screen reader compatible labels to St.Entry elements

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 10 Jul 2025 12:44:10 +0800

gnome-shell (46.0-0ubuntu6~24.04.9) noble; urgency=medium

  [ Alessandro Astone ]
  * Backport patches to fix the Shift behaviour in OSK (LP: #2092181)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 14 Apr 2025 17:35:20 +0800

gnome-shell (46.0-0ubuntu6~24.04.8) noble; urgency=medium

  [ Alessandro Astone ]
  * Backport patch for connecting to a new Wi-Fi network from the log-in screen
    (LP: #2098016)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 05 Mar 2025 16:24:15 +0100

gnome-shell (46.0-0ubuntu6~24.04.7) noble; urgency=medium

  [ Alessandro Astone ]
  * Backport patch to fix setenv/getenv crash on startup (LP: #2039340)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 23 Jan 2025 17:06:17 +0800

gnome-shell (46.0-0ubuntu6~24.04.6) noble; urgency=medium

  [ Nathan Pratta Teodosio ]
  * d/p/chromium-snap-pwa.patch: Fixes tab and dock grouping of progressive
    web applications for the Chromium snap (LP: #2007652).

  [ Robert Malz ]
  * d/p: Fix default service discovery.
    Fix an issue where authentication service was not
    properly picked due to incorrect checks in _isDiscreteServiceEnabled
    (LP: #2065432)
  * Add loginDialog-Don-t-assume-this._user-is-always-defined.patch.
    Cherry-pick for e5d9a0fe
    Fixes null dereference during login with smart cards. (LP: #2065432)

  [ Marco Trevisan (Treviño) ]
  * debian/gbp.conf: Use upstream/46.x branch
  * d/p: unlockDialog: Also center the time in 12h format (LP: #2084276)
  * d/p: Exclude override-redirect windows from workspace animation
    (LP: #2039543)
  * d/p: Use absolute tray icon position in root event coordinates
    (LP: #2059819)
  * d/p: Fix password not re-asked for TCRYPT devices (LP: #2084281)
  * d/p: Keep locate pointer animation when animations are disabled
    (LP: #2039801)
  * d/p: Fix keyboard navigation in AppFolderDialog (LP: #2042763)
  * d/p: Fix connection to WPA Enterprise networks from quick settings
    (LP: #2084286)
  * d/p: Add user permissions to new wifi connections if has no system ones
    (LP: #2084287)
  * d/p: gdm: Actually wait for pending messages being notified on failures
    (LP: #2084289)
  * d/p: Fix themed icons rendering in notifications (LP: #2084301)
  * d/p: Fix notifications not showing in the lockscreen (LP: #2084302)
  * d/p: Allow to set a custom ShellUserVerifier (LP: #2084306)
  * d/p: Fix toggling lockscreen view using Escape (LP: #2084308, #2072716)
  * d/p: Make active workspace above siblings (LP: #2084310)
  * d/p: notificationDaemon: Use correct property name to enable markup
    (LP: #2084293)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 05 Dec 2024 03:13:58 +0100

gnome-shell (46.0-0ubuntu6~24.04.5) noble; urgency=medium

  * Add shell-app-Warn-instead-of-crashing-if-disposed-before-sta.patch
    to avoid crashing the shell if an app misbehaves coincidentally close
    to a garbage collection run (LP: #2037055)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 13 Sep 2024 17:09:18 +0800

gnome-shell (46.0-0ubuntu6~24.04.4) noble; urgency=medium

  * Add st-theme-node-Forget-properties-cache-on-stylesheet-chang.patch
    to fix crashes that occur when locking the screen from within the overview.
    But more generally can occur whenever any extension that modifies
    stylesheets (like ubuntu-dock or dash-to-dock) is unloaded (LP: #2069559).

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 16 Aug 2024 15:16:47 +0800

gnome-shell (46.0-0ubuntu6~24.04.3) noble-security; urgency=medium

  * SECURITY UPDATE: resource consumption via portal helper
    - debian/patches/CVE-2024-36472-1.patch: use default_size instead of
      set_size_request for size in js/portalHelper/main.js.
    - debian/patches/CVE-2024-36472-2.patch: split out CaptivePortalHandler
      class in js/ui/status/network.js.
    - debian/patches/CVE-2024-36472-3.patch: show notification when
      detecting captive portal in js/ui/status/network.js.
    - debian/patches/CVE-2024-36472-4.patch: add option to disable
      portal-helper in data/icons/meson.build, data/meson.build,
      js/meson.build, js/misc/config.js.in, js/misc/meson.build,
      js/ui/status/network.js, meson.build, meson_options.txt,
      src/meson.build.
    - debian/rules: build with portal_helper=false to use the default
      browser instead of the embedded webkit2gtk browser.
    - CVE-2024-36472

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 14 Aug 2024 08:27:56 -0400

gnome-shell (46.0-0ubuntu6~24.04.1) noble; urgency=medium

  * debian: Prepare for noble branching
  * d/p/ubuntu-authd: Revert unwanted change causing ibus not to launch
    (LP: #2069381)
  * d/p: Do not allocate memory or call async-signal-unsafe code on spawn
  * d/p/ubuntu-authd: Properly draw qr-codes for longer URIs (LP: #2067610)
  * d/p/ubuntu-authd: Fix dialog text color when using light theme
    (LP: #2067661)
  * d/p/ubuntu-authd: Use right colors to draw the qr code in light mode
    (LP: #2067661)


=== debian/control ===
--- 
+++ 
@@ -25,13 +25,13 @@
                gnome-pkg-tools,
                gnome-settings-daemon-common (>= 40~) <!nocheck>,
                gobject-introspection,
-               gsettings-desktop-schemas-dev (>= 42~beta),
+               gsettings-desktop-schemas-dev (>= 46~beta),
                gtk-doc-tools,
                libasound2-dev,
                libatk-bridge2.0-dev,
                libecal2.0-dev (>= 3.45),
                libedataserver1.2-dev (>= 3.45),
-               libgcr-3-dev,
+               libgcr-4-dev,
                libgirepository1.0-dev,
                libgjs-dev (>= 1.73.1),
                libgl1-mesa-dri <!nocheck>,
@@ -42,11 +42,12 @@
                libgnome-menu-3-dev,
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
+               libgtk-3-dev,
                libgtk-4-dev,
                libibus-1.0-dev (>= 1.5.22-2ubuntu2~),
                libjson-glib-dev,
-               libmutter-13-dev (>= 45.0),
-               mutter-13-tests (>= 45.0) <!nocheck>,
+               libmutter-14-dev (>= 46.0),
+               mutter-14-tests (>= 46.0) <!nocheck>,
                libnm-dev [linux-any],
                libpipewire-0.3-dev (>= 0.3.10) [linux-any],
                libpolkit-agent-1-dev,
@@ -59,10 +60,11 @@
                libxml2-dev,
                mesa-common-dev,
                meson (>= 0.58.0),
-               mutter (>= 45.0) <!nocheck>,
+               mutter (>= 46.0) <!nocheck>,
                pkg-config,
                sassc,
                systemd [linux-any],
+               terser,
                xauth <!nocheck>,
                xvfb <!nocheck>,
                xwayland <!nocheck>
@@ -71,8 +73,8 @@
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/noble
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/noble
 
 Package: gnome-shell
 Architecture: linux-any
@@ -80,7 +82,7 @@
          gir1.2-adw-1,
          gir1.2-atk-1.0,
          gir1.2-atspi-2.0 (>= 2.36),
-         gir1.2-gcr-3,
+         gir1.2-gcr-4,
          gir1.2-gdesktopenums-3.0,
          gir1.2-gdkpixbuf-2.0,
          gir1.2-gdm-1.0,
@@ -95,7 +97,7 @@
          gir1.2-gweather-4.0 (>= 4.1),
          gir1.2-freedesktop,
          gir1.2-ibus-1.0 (>= 1.5.22-2ubuntu2~),
-         gir1.2-mutter-13 (>= 45.0),
+         gir1.2-mutter-14 (>= 46.0),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma4-1.0 [linux-any],
          gir1.2-pango-1.0,
@@ -106,7 +108,7 @@
          gir1.2-webkit-6.0,
          gnome-settings-daemon (>= 40~),
          gnome-shell-common (= ${source:Version}),
-         gsettings-desktop-schemas (>= 42~beta),
+         gsettings-desktop-schemas (>= 46~beta),
          gstreamer1.0-pipewire (>= 0.3.10) [linux-any],
          libglib2.0-bin,
          python3,

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,8 @@
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 CONFFLAGS += \
 	-Dnetworkmanager=true \
-	-Dsystemd=true
+	-Dsystemd=true \
+	-Dportal_helper=false
 endif
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -25,6 +26,13 @@
 		--libdir=/usr/lib \
 		-Dextensions-tool:bash_completion=enabled \
 		$(CONFFLAGS)
+
+override_dh_auto_build:
+	# Regenerate the css files before building
+	env MESON_SOURCE_ROOT=$(CURDIR) MESON_DIST_ROOT=$(CURDIR) \
+		python3 meson/generate-stylesheets.py
+
+	dh_auto_build
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/gnome-shell/
@@ -46,14 +54,14 @@
 
 meson_test_options = --timeout-multiplier $(test_timeout_multiplier)
 
-ifneq ($(filter mips%,$(DEB_HOST_ARCH_CPU)),)
+#ifneq ($(filter mips%,$(DEB_HOST_ARCH_CPU)),)
 # gnome-shell on mips(64)el works on a real GPU (in practice usually an
 # AMD GPU), but crashes when using llvmpipe or softpipe, which is all that
 # is available on the buildds, so we only run the unit tests at build time
 # and skip the tests that would run the whole Shell. See discussion in
 # https://salsa.debian.org/gnome-team/gnome-shell/-/merge_requests/71
 meson_test_options += --no-suite shell
-endif
+#endif
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

## gnome-shell 46.1

=== build/meson-private/cmake_gnome-keybindings/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.25

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/pechanove/gnome-shell/build/meson-private/cmake_gnome-keybindings

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/pechanove/gnome-shell/build/meson-private/cmake_gnome-keybindings

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/pechanove/gnome-shell/build/meson-private/cmake_gnome-keybindings/CMakeFiles /home/pechanove/gnome-shell/build/meson-private/cmake_gnome-keybindings//CMakeFiles/progress.marks
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/pechanove/gnome-shell/build/meson-private/cmake_gnome-keybindings/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== debian/changelog ===
gnome-shell (46.1-1) experimental; urgency=medium

  * Improve notification of conflicting session [Joan; !3235]
  * Add shift level to Korean OSK layout [Carlos; !3222]
  * Fix markup support in notifications [Sebastian; !3247]
  * extensions-app: Fix empty rows with '&' in extension name [Florian; !3266]
  * extensions-app: Improve HIG compliance [Automeris; !3269, !3271]
  * Omit expand buttons in notification banners [Julian; !3249]
  * Misc. bug fixes and cleanups [dcz, Totto16, Sebastian, Florian; !3262, !3253, !3260, !3234]
  
 -- Pedro M. de Echanove Pasquin <pedro.echanove@tuxum.com>  Wed,  24 Apr 2024 10:46:31 +0200

gnome-shell (46.0-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum mutter to 46.0
  * Bump minimum gsettings-desktop-schemas
  * Build-Depend on libgtk-3-dev
  * debian/gnome-shell.install: GNOME Shell no longer provides
    xdg-desktop-portal components
  * Skip shell build tests for now since they are flaky
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 19 Mar 2024 15:36:16 -0400

gnome-shell (45.3-2) experimental; urgency=medium

  * Merge packaging changes from unstable
    - Build-depend on systemd-dev instead of systemd (Closes: #1060607)
    - Adjust Lintian overrides
    - All other changes were included in 45.3-1

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jan 2024 17:46:37 +0000

gnome-shell (44.9-1) unstable; urgency=medium

  * New upstream release
  * Build with gcr4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 16:47:08 -0500

gnome-shell (44.8-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Request the intended height for StBin (gnome-shell!3043)
    - Fix a crash if an extension incorrectly attempts to add/remove
      an empty style class (gnome-shell#7152)
    - Allow edge fade to be removed from scroll views (gnome-shell!3047)
    - Don't hide the overlay while hovering over a window preview's icon
      (gnome-shell!3049)
    - Fix warnings during Shell exit (gnome-shell#7132, gnome-shell!3064)

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jan 2024 13:49:59 +0000

gnome-shell (44.7-2) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Stop using debian/control.in and dh_gnome_clean
  * Drop evolution .desktop lintian override: not needed since 44

  [ Simon McVittie ]
  * Build-depend on systemd-dev instead of systemd (Closes: #1060607)
  * d/gnome-shell.lintian-overrides: Remove unused override
  * d/gnome-shell.lintian-overrides: Tidy up whitespace
  * d/g-s-common.lintian-overrides: /usr/share/g-s/modes is intentionally
    empty

 -- Simon McVittie <smcv@debian.org>  Sun, 14 Jan 2024 19:32:07 +0000

gnome-shell (44.3-5) unstable; urgency=medium

  * Team upload
  * Clean up obsolete gnome-shell-overrides-migration.desktop on upgrade
    (Closes: #1050193)

 -- Simon McVittie <smcv@debian.org>  Mon, 21 Aug 2023 21:08:56 +0100

gnome-shell (44.3-4) unstable; urgency=medium

  * Team upload
  * Merge with version 43.7-2 from unstable.
    All changes in 43.7 were also included in 44.3.
    - d/p/main-Leak-the-GJS-context-and-ShellGlobal.patch:
      Drop patch, not needed in 44.x
  * Upload to unstable (part of transition: #1043144)

 -- Simon McVittie <smcv@debian.org>  Sun, 20 Aug 2023 22:58:15 +0100

gnome-shell (44.3-3) experimental; urgency=medium

  * Team upload
  * d/patches: Update to upstream gnome-44 branch commit 44.3-5-g29e6369e8
    - Translation update: es
  * d/p/tests-Use-different-suites.patch, d/rules:
    Skip tests that would run the whole Shell on mips* architectures.
    GNOME Shell is reported to work correctly on mips64el machines with an
    AMD GPU, but crashes when using llvmpipe, which appears to be an LLVM
    issue rather than a GNOME Shell issue; one test also crashes when using
    softpipe. (Helps: #1042980)

 -- Simon McVittie <smcv@debian.org>  Wed, 09 Aug 2023 11:18:11 +0100

gnome-shell (44.3-2) experimental; urgency=medium

  * Team upload
  * Update to upstream gnome-44 branch commit 44.3-4-g1635c3713
    - Fix ELF header parsing on mips64el and riscv64 (Helps: #1042980)
    - Translation updates: be, cs, es
  * d/rules: Increate arbitrary test timeouts.
    The default test timeout is 30 seconds, but the perf-* tests take more
    like 45 seconds on mips64el. (Helps: #1042980)
  * d/rules: Run tests with softpipe instead of llvmpipe on mips family.
    This works around apparent LLVM/Mesa issues, similar to #993550
    originally reported against gtk4. (Helps: #1042980)

 -- Simon McVittie <smcv@debian.org>  Sun, 06 Aug 2023 17:10:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnome-shell
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: appstream,
                asciidoc-base,
@@ -11,7 +10,7 @@
                debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               gjs,
+               gjs (>= 1.79.3),
                gir1.2-accountsservice-1.0 <!nocheck>,
                gir1.2-gdm-1.0 <!nocheck>,
                gir1.2-geoclue-2.0 <!nocheck>,
@@ -33,7 +32,7 @@
                libedataserver1.2-dev (>= 3.45),
                libgcr-4-dev,
                libgirepository1.0-dev,
-               libgjs-dev (>= 1.73.1),
+               libgjs-dev (>= 1.79.3),
                libgl1-mesa-dri <!nocheck>,
                libglib2.0-dev,
                libgnome-autoar-0-dev,
@@ -61,20 +60,17 @@
                mesa-common-dev,
                meson (>= 0.58.0),
                mutter (>= 46.0) <!nocheck>,
-               pkg-config,
+               pkgconf,
                sassc,
-               systemd [linux-any],
-               terser,
+               systemd-dev [linux-any],
                xauth <!nocheck>,
                xvfb <!nocheck>,
                xwayland <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/noble
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/noble
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
 
 Package: gnome-shell
 Architecture: linux-any
@@ -106,17 +102,18 @@
          gir1.2-soup-3.0,
          gir1.2-upowerglib-1.0,
          gir1.2-webkit-6.0,
+         gnome-backgrounds,
          gnome-settings-daemon (>= 40~),
          gnome-shell-common (= ${source:Version}),
          gsettings-desktop-schemas (>= 46~beta),
          gstreamer1.0-pipewire (>= 0.3.10) [linux-any],
          libglib2.0-bin,
          python3,
-         ubuntu-wallpapers,
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: bolt,
+            chrome-gnome-shell,
             evolution-data-server (>= 3.45),
             gdm3,
             gkbd-capplet,
@@ -128,15 +125,11 @@
             iio-sensor-proxy,
             power-profiles-daemon,
             switcheroo-control,
-            ubuntu-session | gnome-session,
-            xserver-xorg-legacy,
             unzip
 Suggests: gir1.2-malcontent-0 (>= 0.6.0) [linux-any],
           gir1.2-telepathyglib-0.12,
           gir1.2-telepathylogger-0.2,
-          gnome-backgrounds (>= 3.13.90),
           gnome-shell-extension-prefs,
-          chrome-gnome-shell,
 Breaks: gnome-shell-extension-appindicator (<< 50),
         gnome-shell-extension-dash-to-panel (<< 55),
         gnome-shell-extension-dashtodock (<< 79),
@@ -159,7 +152,6 @@
 Package: gnome-shell-common
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: yaru-theme-gnome-shell (>= 23.10.0~)
 Breaks: gnome-shell (<< 3.36.1-6~)
 Replaces: gnome-shell (<< 3.36.1-6~)
 Description: common files for the GNOME graphical shell
@@ -169,7 +161,7 @@
 Architecture: linux-any
 Depends: gir1.2-adw-1,
          gir1.2-gtk-4.0,
-         gjs (>= 1.73.1),
+         gjs (>= 1.79.3),
          gnome-shell (= ${binary:Version}),
          gnome-shell-common (= ${source:Version}),
          ${gir:Depends},

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,7 @@
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 CONFFLAGS += \
 	-Dnetworkmanager=true \
-	-Dsystemd=true \
-	-Dportal_helper=false
+	-Dsystemd=true
 endif
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -26,13 +25,6 @@
 		--libdir=/usr/lib \
 		-Dextensions-tool:bash_completion=enabled \
 		$(CONFFLAGS)
-
-override_dh_auto_build:
-	# Regenerate the css files before building
-	env MESON_SOURCE_ROOT=$(CURDIR) MESON_DIST_ROOT=$(CURDIR) \
-		python3 meson/generate-stylesheets.py
-
-	dh_auto_build
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/gnome-shell/

## gnome-shell 46.2

=== debian/changelog ===
gnome-shell (46.2-1ubuntu3) oracular; urgency=medium

  * d/p/ubuntu-authd: Revert unwanted change causing ibus not to launch
    (LP: #2069381)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 14 Jun 2024 06:45:11 +0200

gnome-shell (46.2-1ubuntu2) oracular; urgency=medium

  * debian/patches/ubuntu-authd: Properly handle new-password messages requests
    (LP: #2068080)
  * d/p/ubuntu-authd: Add translatable js files to POTFILES.in (LP: #2068912)
  * d/p: Do not call unsafe functions when spawning new processes (LP: #2019776)
  * d/p: Resize tray icon windows to respect their actor representation
    (LP: #2012388)
  * d/p: Do not make tray icons to take any input event directly (LP: #2012388)
  * debian/patches/ubuntu-authd: Properly handle new-password messages requests
    (LP: #2068080)
  * d/p/ubuntu-authd: Add translatable js files to POTFILES.in (LP: #2068912)
  * d/p: Do not call unsafe functions when spawning new processes (LP: #2019776)
  * d/p: Resize tray icon windows to respect their actor representation
    (LP: #2012388)
  * d/p: Do not make tray icons to take any input event directly (LP: #2012388)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 14 Jun 2024 05:47:07 +0200

gnome-shell (46.2-1ubuntu1) oracular; urgency=medium

  [ Jeremy Bícha ]
  * Merge with Debian
  * Refresh patches

  [ Marco Trevisan (Treviño) ]
  * debian/patches/ubuntu-authd: Properly draw qr-codes for longer URIs
    (LP: #2067610)
  * debian/patches/ubuntu-authd: Fix dialog text color when using light theme
    (LP: #2067661)
  * debian/patches/ubuntu-authd: Use right colors to draw the QR code in
    light mode (LP: #2067661)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 31 May 2024 07:14:43 -0400

gnome-shell (46.2-1) experimental; urgency=medium

  * New upstream release
  * Drop screencast patch applied in new release
  * Drop revert tecla patch: no longer needed
  * Add Depends: tecla. Drop Recommends: gkbd-capplet

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 31 May 2024 08:03:22 -0400

gnome-shell (46.1-1ubuntu1) oracular; urgency=medium

  * Merge with Debian
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 13 May 2024 15:38:15 +0200

gnome-shell (46.0-2) experimental; urgency=high

  * Team upload
  * d/p/screencast-Correct-expected-bus-name-for-streams.patch:
    Avoid screencast regression after fixing CVE-2024-34397.
    Previously, screencasting expected signals to come from the wrong
    D-Bus name, which only worked because there was a vulnerability in
    GLib that resulted in the sender being ignored.
  * Set urgency=high because this fixes a regression triggered by a
    security fix.

 -- Simon McVittie <smcv@debian.org>  Tue, 07 May 2024 11:32:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gnome-shell
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: appstream,
                asciidoc-base,
@@ -10,7 +11,7 @@
                debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               gjs (>= 1.79.3),
+               gjs,
                gir1.2-accountsservice-1.0 <!nocheck>,
                gir1.2-gdm-1.0 <!nocheck>,
                gir1.2-geoclue-2.0 <!nocheck>,
@@ -32,9 +33,9 @@
                libedataserver1.2-dev (>= 3.45),
                libgcr-4-dev,
                libgirepository1.0-dev,
-               libgjs-dev (>= 1.79.3),
+               libgjs-dev (>= 1.73.1),
                libgl1-mesa-dri <!nocheck>,
-               libglib2.0-dev,
+               libglib2.0-dev (>= 2.80),
                libgnome-autoar-0-dev,
                libgnome-bluetooth-3.0-dev (>= 3.9.0) [linux-any],
                libgnome-desktop-4-dev (>= 40),
@@ -63,14 +64,17 @@
                pkgconf,
                sassc,
                systemd-dev [linux-any],
+               terser,
                xauth <!nocheck>,
                xvfb <!nocheck>,
                xwayland <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/latest
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/latest
 
 Package: gnome-shell
 Architecture: linux-any
@@ -83,7 +87,7 @@
          gir1.2-gdkpixbuf-2.0,
          gir1.2-gdm-1.0,
          gir1.2-geoclue-2.0,
-         gir1.2-glib-2.0,
+         gir1.2-glib-2.0 (>= 2.80),
          gir1.2-gnomebg-4.0,
          gir1.2-gnomebluetooth-3.0 (>= 42.3) [linux-any],
          gir1.2-gnomedesktop-4.0 (>= 40),
@@ -102,21 +106,20 @@
          gir1.2-soup-3.0,
          gir1.2-upowerglib-1.0,
          gir1.2-webkit-6.0,
-         gnome-backgrounds,
          gnome-settings-daemon (>= 40~),
          gnome-shell-common (= ${source:Version}),
          gsettings-desktop-schemas (>= 46~beta),
          gstreamer1.0-pipewire (>= 0.3.10) [linux-any],
          libglib2.0-bin,
          python3,
+         tecla,
+         ubuntu-wallpapers,
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: bolt,
-            chrome-gnome-shell,
             evolution-data-server (>= 3.45),
             gdm3,
-            gkbd-capplet,
             gnome-control-center (>= 1:42),
             gnome-remote-desktop,
             gnome-menus,
@@ -125,11 +128,15 @@
             iio-sensor-proxy,
             power-profiles-daemon,
             switcheroo-control,
+            ubuntu-session | gnome-session,
+            xserver-xorg-legacy,
             unzip
 Suggests: gir1.2-malcontent-0 (>= 0.6.0) [linux-any],
           gir1.2-telepathyglib-0.12,
           gir1.2-telepathylogger-0.2,
+          gnome-backgrounds (>= 3.13.90),
           gnome-shell-extension-prefs,
+          chrome-gnome-shell,
 Breaks: gnome-shell-extension-appindicator (<< 50),
         gnome-shell-extension-dash-to-panel (<< 55),
         gnome-shell-extension-dashtodock (<< 79),
@@ -152,6 +159,7 @@
 Package: gnome-shell-common
 Architecture: all
 Depends: ${misc:Depends}
+Recommends: yaru-theme-gnome-shell (>= 23.10.0~)
 Breaks: gnome-shell (<< 3.36.1-6~)
 Replaces: gnome-shell (<< 3.36.1-6~)
 Description: common files for the GNOME graphical shell
@@ -161,7 +169,7 @@
 Architecture: linux-any
 Depends: gir1.2-adw-1,
          gir1.2-gtk-4.0,
-         gjs (>= 1.79.3),
+         gjs (>= 1.73.1),
          gnome-shell (= ${binary:Version}),
          gnome-shell-common (= ${source:Version}),
          ${gir:Depends},
